diff -ur old/cobbler/webui/CobblerWeb.py build/cobbler/webui/CobblerWeb.py
--- old/cobbler/webui/CobblerWeb.py	2008-11-25 15:13:29.000000000 +0100
+++ build/cobbler/webui/CobblerWeb.py	2008-11-25 15:15:08.000000000 +0100
@@ -197,7 +197,7 @@
 
     def distro_save(self,name=None,comment=None,oldname=None,new_or_edit=None,editmode='edit',kernel=None,
                     initrd=None,kopts=None,koptspost=None,ksmeta=None,owners=None,arch=None,breed=None,
-                    osversion=None,delete1=None,delete2=None,recursive=False,**args):
+                    osversion=None,delete1=False,delete2=False,recursive=False,**args):
 
         if not self.__xmlrpc_setup():
             return self.xmlrpc_auth_failure()
@@ -210,10 +210,10 @@
         # handle deletes as a special case
         if new_or_edit == 'edit' and delete1 and delete2:
             try:    
-                if recursive is None: 
-                    self.remote.remove_distro(name,self.token,False)
-                else:
+                if recursive: 
                     self.remote.remove_distro(name,self.token,True)
+                else:
+                    self.remote.remove_distro(name,self.token,False)
                        
             except Exception, e:
                 return self.error_page("could not delete %s, %s" % (name,str(e)))
@@ -670,7 +670,7 @@
     def profile_save(self,new_or_edit=None,editmode='edit',name=None,comment=None,oldname=None,
                      distro=None,kickstart=None,kopts=None,koptspost=None,
                      ksmeta=None,owners=None,enablemenu=None,virtfilesize=None,virtram=None,virttype=None,
-                     virtpath=None,repos=None,dhcptag=None,delete1=None,delete2=None,
+                     virtpath=None,repos=None,dhcptag=None,delete1=False,delete2=False,
                      parent=None,virtcpus=None,virtbridge=None,subprofile=None,server_override=None,
                      name_servers=None,recursive=False,**args):
 
@@ -952,7 +952,7 @@
     def image_save(self,name=None,comment=None,oldname=None,new_or_edit=None,editmode='edit',field1=None,
                    file=None,arch=None,breed=None,virtram=None,virtfilesize=None,virtpath=None,
                    virttype=None,virtcpus=None,virtbridge=None,imagetype=None,owners=None,
-                   osversion=None,delete1=None,delete2=None,recursive=False,networkcount=None,**args):
+                   osversion=None,delete1=False,delete2=False,recursive=False,networkcount=None,**args):
 
         if not self.__xmlrpc_setup():
             return self.xmlrpc_auth_failure()
@@ -965,10 +965,10 @@
         # handle deletes as a special case
         if new_or_edit == 'edit' and delete1 and delete2:
             try:    
-                if recursive is None: 
-                    self.remote.remove_image(name,self.token,False)
-                else:
+                if recursive: 
                     self.remote.remove_image(name,self.token,True)
+                else:
+                    self.remote.remove_image(name,self.token,False)
                        
             except Exception, e:
                 return self.error_page("could not delete %s, %s" % (name,str(e)))
diff -ur old/webui_templates/distro_edit.tmpl build/webui_templates/distro_edit.tmpl
--- old/webui_templates/distro_edit.tmpl	2008-11-19 10:42:29.000000000 +0100
+++ build/webui_templates/distro_edit.tmpl	2008-11-25 15:08:18.000000000 +0100
@@ -288,9 +288,9 @@
     <label for="delete">Delete</label>
     </td>
     <td>
-       <input type="checkbox" name="delete1" value="delete1">Yes
-       <input type="checkbox" name="delete2" value="delete2">Really
-       <input type="checkbox" name="recursive" value="recursive">Delete child objects?
+       <input type="checkbox" name="delete1" value="True">Yes
+       <input type="checkbox" name="delete2" value="True">Really
+       <input type="checkbox" name="recursive" value="True">Delete child objects?
        <p class="context-tip">Check both buttons and click save to delete this object</p>
     </td>
     </tr>
diff -ur old/webui_templates/image_edit.tmpl build/webui_templates/image_edit.tmpl
--- old/webui_templates/image_edit.tmpl	2008-11-17 09:18:30.000000000 +0100
+++ build/webui_templates/image_edit.tmpl	2008-11-25 15:16:57.000000000 +0100
@@ -375,8 +375,9 @@
     <label for="delete">Delete</label>
     </td>
     <td>
-       <input type="checkbox" name="delete1" value="delete1">Yes
-       <input type="checkbox" name="delete2" value="delete2">Really
+       <input type="checkbox" name="delete1" value="True">Yes
+       <input type="checkbox" name="delete2" value="True">Really
+       <input type="checkbox" name="recursive" value="True">Delete child objects?
        <p class="context-tip">Check both buttons and click save to delete this object</p>
     </td>
     </tr>
diff -ur old/webui_templates/profile_edit.tmpl build/webui_templates/profile_edit.tmpl
--- old/webui_templates/profile_edit.tmpl	2008-11-21 13:59:03.000000000 +0100
+++ build/webui_templates/profile_edit.tmpl	2008-11-25 15:16:06.000000000 +0100
@@ -442,9 +442,9 @@
     <label for="delete">Delete</label>
     </td>
     <td>
-       <input type="checkbox" name="delete1" value="delete1">Yes
-       <input type="checkbox" name="delete2" value="delete2">Really
-       <input type="checkbox" name="recursive" value="recursive">Delete child objects?
+       <input type="checkbox" name="delete1" value="True">Yes
+       <input type="checkbox" name="delete2" value="True">Really
+       <input type="checkbox" name="recursive" value="True">Delete child objects?
     <p class="context-tip">Check both buttons and click save to delete this object</p>
     </td>
     </tr>
